Subject: Re: bug#22552: 25.1; 25.0.90 build fails on Mac OS X 10.11

From: Henry Unger <[email-masked]>
Date: Thu, 4 Feb 2016 18:39:55 -0800

From:   YAMAMOTO Mitsuharu <[email-masked]> 
 To:   Henry Unger <[email-masked]> 
 Cc:   <[email-masked]> 
 Sent:   2/4/2016 4:29 PM 
 Subject:   Re: bug#22552: 25.1; 25.0.90 build fails on Mac OS X 10.11 

>>>>> On Thu, 4 Feb 2016 09:31:07 -0600, Henry Unger <[email-masked]> said: 
 
> On Apple Mac running OS X 10.11: 
> Downloaded ftp://alpha.gnu.org/gnu/emacs/pretest/emacs-25.0.90.tar.xz 
> Unpacked it. 
> Ran ./configure 
> Ran make 
> Compile stopped with: 
 
>   CC       xml.o 
> xml.c:23:10: fatal error: 'libxml/tree.h' file not found 
> #include <libxml/tree.h> 
>          ^ 
> 1 error generated. 
> make[1]: *** [xml.o] Error 1 
> make: *** [src] Error 2 
 
> On my system, that file is found in: 
 
> /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.11.sdk/usr/include/libxml2/libxml 
 
> This may be related to: 
 
> 2015-12-31 YAMAMOTO Mitsuharu <[email-masked]> 
 
> * configure.ac: Find libxml2 headers in Xcode SDK dir on Darwin. 
 
> I ran: 
 
> $ xcrun --show-sdk-path 
> /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.11.sdk 
 
> config.status has: 
 
> S["LIBXML2_LIBS"]="-lxml2 " 
> S["LIBXML2_CFLAGS"]="-I/usr/include/libxml2 " 
 
What's the output of "pkg-config --cflags 'libxml-2.0 > 2.6.17'" ? 
Do you have the directory /usr/include ? 
 
                         YAMAMOTO Mitsuharu 
                    [email-masked] 
$ pkg-config --cflags 'libxml-2.0 > 2.6.17'
-I/usr/include/libxml2

/usr/include does not exist per se. Instead, it is:

Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.11.sdk/usr/include

I tried to create a soft link:

$ sudo ln -s /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.11.sdk/usr/include /usr/include
Password:
ln: /usr/include: Operation not permitted

Apple no longer allows such things.

Henry